org.apache.cassandra.utils

## Class RMIServerSocketFactoryImpl

- java.lang.Object
- - org.apache.cassandra.utils.RMIServerSocketFactoryImpl

All Implemented Interfaces:
  java.rmi.server.RMIServerSocketFactory

    public class RMIServerSocketFactoryImpl
    extends java.lang.Object
    implements java.rmi.server.RMIServerSocketFactory

### Constructor Summary

Constructors
Constructor and Description
`RMIServerSocketFactoryImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.net.ServerSocket` `createServerSocket(int pPort)`
`boolean` `equals(java.lang.Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RMIServerSocketFactoryImpl

    public RMIServerSocketFactoryImpl()

### Method Detail

#### createServerSocket

    public java.net.ServerSocket createServerSocket(int pPort)
                                             throws java.io.IOException

Specified by:
  `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
Throws:
  `java.io.IOException`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`